Package org.eclipse.wst.xsl.core.internal.modelhandler

## org.eclipse.wst.xsl.core.internal.modelhandler
Class ModelHandlerForXSL

    public class ModelHandlerForXSL
    extends ModelHandlerForXML

Provides generic XML model handling. It is also marked as the default content type handler. There should be only one implementation of the default.

## Field Summary

`package-private static java.lang.String` | `AssociatedContentTypeID` Needs to match what's in plugin registry. In fact, can be overwritten at run time with what's in registry! (so should never be 'final')

## Constructor Summary

`ModelHandlerForXSL()`

## Method Summary

`public IDocumentLoader` | `getDocumentLoader()`
`public IDocumentCharsetDetector` | `getEncodingDetector()`
`public IModelLoader` | `getModelLoader()`

## Field Detail

## AssociatedContentTypeID

`package-private static java.lang.String AssociatedContentTypeID`

Needs to match what's in plugin registry. In fact, can be overwritten at run time with what's in registry! (so should never be 'final')

## Constructor Detail

## ModelHandlerForXSL

`public ModelHandlerForXSL()`

## Methods Detail

## getDocumentLoader

`public IDocumentLoader getDocumentLoader()`

### Returns

`IDocumentLoader`

## getEncodingDetector

`public IDocumentCharsetDetector getEncodingDetector()`

### Returns

`IDocumentCharsetDetector`

## getModelLoader

`public IModelLoader getModelLoader()`

### Returns

`IModelLoader`